/*
    Copyright (c) 2011-2012 ACCESS CO., LTD. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef Inettv_h
#define Inettv_h

#ifdef NFB_NX_DTV // NavigatorObject

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/RefPtr.h>

namespace WTF {
    class String;
}

namespace WebCore {
#if ENABLE(NETTV)
    class Inettv : public RefCounted<Inettv> {
    public:
        static PassRefPtr<Inettv> create() { return adoptRef(new Inettv()); }
        ~Inettv();

        long getPrinterStatus(WTF::String mime_type);
        long printUri(WTF::String uri);
        long printStaticScreen(long pattern);

    private:
        Inettv();
    };
#endif // ENABLE(NETTV)

}

#endif // NFB_NX_DTV // NavigatorObject

#endif
